import * as i0 from "@angular/core";
/**
 * Service that provides utility functions for dates
 *
 * @author Joshua Kissoon
 * @since 20170726
 */
export declare class DateUtils {
    /**
     * Takes in a date object and outputs the string value
     */
    getYYYYMMDDString(inputDate: Date): string;
    /**
     * Takes in a date object and outputs the year
     */
    getYYYY(inputDate: Date): number;
    /**
     * Takes in a date object and outputs the Month
     */
    getMM(inputDate: Date): number;
    getDateTime(inputDate: Date): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateUtils, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DateUtils>;
}
